Delete a public key
DELETE
/v1/public_keys/{id}
const url = 'http://api.disclosebot.localdev:3000/v1/public_keys/example';const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url http://api.disclosebot.localdev:3000/v1/public_keys/example \ --header 'Authorization: Bearer <token>'Deletes an unused key. A key that encrypted reports, a cloaked report, or a cloaking brief uses is refused with 422; retire it instead.
Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” id
required
string
Responses
Section titled “ Responses ”Deleted
In use by a cloaking brief